! Subroutine for the calculation of a Nordsieck type integral
! See Gravielle & Miraglia CPC, Vol. 69 pag. 53 (1992)
! >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
! 
! cyuxta=integral[ dr^3  exp(i*q.r)*exp(-z*r )*
!                        1f1(i*a1; 1; p1*r+p1.r) ]
! >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
      SUBROUTINE L0_INTEGRAL(Z,A1,P1,Q,CYUXTA)
      implicit real*8(a-b,d-h,o-z), complex*16(c)
      dimension p1(3),q(3)
      data c1/(1.d0,0.d0)/, ci/(0.d0,1.d0)/
      data pi/3.14159265358979d0/
      q2= q(1)**2+ q(2)**2+ q(3)**2
      p12=p1(1)**2+p1(2)**2+p1(3)**2
      qm=sqrt( q2)
      p1m=sqrt(p12)
      dd=z**2+q2
      css1=+p1(1)*q(1)+p1(2)*q(2)+p1(3)*q(3)-ci*z*p1m
      cuu1=2.d0*css1/dd
      caa1=c1+cuu1
	cbb1=2d0*(ci*p1m+z*cuu1)
      cres0=4.d0*pi*cdexp(-ci*a1*cdlog(caa1))/dd**2
      cyuxta=cres0*(2d0*z-ci*a1*cbb1/caa1)
      return
      end
